#include <iostream>
#include <iomanip>
using namespace std;
int main()
{
    int N,A,k;
    cin>>N>>A;
    int T[N];
    k=A;
    int zbir=0;
    for(int i=0;i<N;i++){
        cin>>T[i];
        zbir+=T[i];
    }
    if(k==0){
        cout<<zbir;
    }
}